"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.config = void 0;
const fs_1 = require("fs");
const CONFIG_FILE_NAME = '.gcp-functions';
const defaultConfig = {
    functionsDir: './functions',
    buildDir: './functions/build',
    runtime: 'nodejs20',
    region: 'europe-west6',
    env: [],
    prefix: '',
    generation: 1,
    memory: undefined,
    timeout: undefined,
};
function readConfig() {
    try {
        const config = JSON.parse((0, fs_1.readFileSync)(CONFIG_FILE_NAME).toString());
        return Object.keys(defaultConfig).reduce((acc, key) => {
            if (config[key]) {
                acc[key] = config[key];
            }
            return acc;
        }, {});
    }
    catch (e) {
        return {};
    }
}
exports.config = {
    ...defaultConfig,
    ...readConfig(),
};
//# sourceMappingURL=config.js.map